UnrecoverableEntryException (Java Platform SE 8 )
Keywords: java.security.UnrecoverableEntryException class
Date: 2026-04-17

compact1, compact2, compact3
java.security

## Class UnrecoverableEntryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.UnrecoverableEntryException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    UnrecoverableKeyException

      public class UnrecoverableEntryException
      extends GeneralSecurityException

  This exception is thrown if an entry in the keystore cannot be recovered.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnrecoverableEntryException()` Constructs an UnrecoverableEntryException with no detail message.
    `UnrecoverableEntryException(String msg)` Constructs an UnrecoverableEntryException with the specified detail message, which provides more information about why this exception has been thrown.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnrecoverableEntryException

          public UnrecoverableEntryException()

      Constructs an UnrecoverableEntryException with no detail message.

    - #### UnrecoverableEntryException

          public UnrecoverableEntryException(String msg)

      Constructs an UnrecoverableEntryException with the specified detail message, which provides more information about why this exception has been thrown.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.